simple.sh to be run as part of the autopkgtests

Bug #1865212 reported by Eric Desrochers on 2020-02-28
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
sosreport (Ubuntu)
Low
Eric Desrochers
Xenial
Low
Unassigned
Bionic
Low
Eric Desrochers
Eoan
Low
Heather Lemon

Bug Description

[Impact]
I'd like to provide more testing/regression detection to the actual autopkgtest for sosreport.

[Test Case]
The acceptance criteria:
* The autopkgtest infra picks the simple.sh
* Executes/runs it
* and that the script passes all verifications.

[Regression potential]

simple.sh is generating sosreport(s) archive using various parameters/arguments and look for its success.

That will enhance the detection of potential regression inside sosreport to them early.

One regression I can think of is simple.sh providing false positive and/or that the script always fails, but it is unlikely to happen because I've been using it manually for quite some time now and it has been proven to work well.

If pending sru doesn't reveal any regression then we are all good.
autopkgtest log can also be use as a proof that simple.sh did run as expected.

[Original Description]

Reporting this bug as a reminder for me to start working at eventually include simple.sh[0] to be run as part of the sosreport's autopkgtest.

Autopkgtest restriction definitions requirement: needs-root

[0] - A quick port of the travis tests to bash, requires root
https://github.com/sosreport/sos/blob/master/tests/simple.sh

Eric Desrochers (slashd) on 2020-02-28
Changed in sosreport (Ubuntu):
assignee: nobody → Eric Desrochers (slashd)
tags: added: sts
summary: - simple.sh to be run as part of the autopkg tests
+ simple.sh to be run as part of the autopkgtests
Changed in sosreport (Ubuntu):
importance: Undecided → Wishlist
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sosreport (Ubuntu):
status: New → Confirmed
Eric Desrochers (slashd) on 2020-02-28
Changed in sosreport (Ubuntu):
status: Confirmed → In Progress
importance: Wishlist → Low
Eric Desrochers (slashd) wrote :

autopkgtest tested locally:

Everything worked!
autopkgtest [13:01:30]: test simple.sh: -----------------------]
autopkgtest [13:01:31]: test simple.sh: - - - - - - - - - - results - - - - - - - - - -
simple.sh PASS
autopkgtest [13:01:31]: @@@@@@@@@@@@@@@@@@@@ summary
sos-run-nonroot.py PASS
sos-run.py PASS
simple.sh PASS

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9-1ubuntu2

---------------
sosreport (3.9-1ubuntu2) focal; urgency=medium

  * d/p/0002-lxd-drop-db-collection-and-introduce-lxd-buginfo.patch:
    - Drop db collection and introduce lxd.buginfo (LP: #1868215)

  * d/tests/{control,simple.sh}: (LP: #1865212)
    - Add testsuite "simple.sh". A port of the travis tests to bash
      provided by upstream.

 -- Seyeong Kim <email address hidden> Fri, 20 Mar 2020 06:48:01 +0000

Changed in sosreport (Ubuntu):
status: In Progress → Fix Released
Eric Desrochers (slashd) wrote :

Excuse pages...

autopkgtest for sosreport/3.9-1ubuntu2: amd64: Pass, arm64: Pass, armhf: Pass, ppc64el: Pass, s390x: Pass

logs:
https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-focal/focal/amd64/s/sosreport/20200325_181101_c8abf@/log.gz

.......
Everything worked!
autopkgtest [18:10:49]: test simple.sh: -----------------------]
autopkgtest [18:10:49]: test simple.sh: - - - - - - - - - - results - - - - - - - - - -
simple.sh PASS
autopkgtest [18:10:49]: @@@@@@@@@@@@@@@@@@@@ summary
sos-run-nonroot.py PASS
sos-run.py PASS
simple.sh PASS
Exit request sent.
Creating nova instance adt-focal-amd64-sosreport-20200325-180515 from image adt/ubuntu-focal-amd64-server-20200313.img (UUID e5199d00-c14c-45d4-ae2f-fb4322e4ec6b)...

Eric Desrochers (slashd) on 2020-03-31
tags: added: sts-sponsor-volunteer
removed: sts
Eric Desrochers (slashd) on 2020-04-06
Changed in sosreport (Ubuntu Eoan):
assignee: nobody → Heather Lemon (hypothetical-lemon)
status: New → In Progress
importance: Undecided → Low
Eric Desrochers (slashd) on 2020-04-23
tags: added: sts
Eric Desrochers (slashd) on 2020-04-24
tags: added: sts-sponsor-slashd
removed: sts-sponsor-volunteer
Eric Desrochers (slashd) on 2020-04-28
Changed in sosreport (Ubuntu Bionic):
assignee: nobody → Heather Lemon (hypothetical-lemon)
status: New → In Progress
Changed in sosreport (Ubuntu Xenial):
status: New → Won't Fix
Changed in sosreport (Ubuntu Bionic):
importance: Undecided → Low
Changed in sosreport (Ubuntu Xenial):
importance: Undecided → Low
Łukasz Zemczak (sil2100) wrote :

I assume that the acceptance criteria for this SRU bug are: check if simple.sh is ran as part of the autopkgtest, right?

Changed in sosreport (Ubuntu Eoan):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-eoan

Hello Eric, or anyone else affected,

Accepted sosreport into eoan-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9-1ubuntu0.19.10.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-eoan to verification-done-eoan. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-eoan. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Łukasz Zemczak (sil2100) wrote :

Hello Eric, or anyone else affected,

Accepted sosreport into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/sosreport/3.9-1ubuntu0.18.04.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in sosreport (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Eric Desrochers (slashd) on 2020-04-30
Changed in sosreport (Ubuntu Bionic):
assignee: Heather Lemon (hypothetical-lemon) → Eric Desrochers (slashd)
Eric Desrochers (slashd) wrote :

Lukasz, to answer your question on comment #7.

>> I assume that the acceptance criteria for this SRU bug are: check if simple.sh is ran as part of the autopkgtest, right?

Yes, the acceptance criteria will be that the autopkgtest infra picks the simple.sh, run it and PASSED.

- Eric

Eric Desrochers (slashd) on 2020-04-30
description: updated
description: updated
Eric Desrochers (slashd) on 2020-04-30
description: updated
Eric Desrochers (slashd) wrote :

[VERIFICATION BIONIC/EOAN]

I have reviewed all ARCHes under http://autopkgtest.ubuntu.com/
and they all passed

# For instance here's the Bionic/Eoan for amd64 architecture:
http://autopkgtest.ubuntu.com/packages/s/sosreport/bionic/amd64
http://autopkgtest.ubuntu.com/packages/s/sosreport/eoan/amd64

# Log also confirm the success:
Everything worked!
autopkgtest [14:17:46]: test simple.sh: -----------------------]
simple.sh PASS
autopkgtest [14:17:46]: test simple.sh: - - - - - - - - - - results - - - - - - - - - -
autopkgtest [14:17:46]: @@@@@@@@@@@@@@@@@@@@ summary
sos-run-nonroot.py PASS
sos-run.py PASS
simple.sh PASS
Exit request sent.

# pending sru page doesn't reveal anything, meaning everythig passed as expected.

tags: added: verification-done verification-done-bionic verification-done-eoan
removed: sts-sponsor-slashd verification-needed verification-needed-bionic verification-needed-eoan
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9-1ubuntu0.19.10.3

---------------
sosreport (3.9-1ubuntu0.19.10.3) eoan; urgency=medium

  * d/p/0003-lshw-command.patch: (LP: #1871494)
    - Add `lshw` command to hardware plugin

  [Eric Desrochers]
  * d/p/0004-lds-substitute-oidc-conf.patch:
    - landscape substitute oidc conf
      in service file (LP: #1874526)

  [Eric Desrochers]
  * d/tests/{control,simple.sh}: (LP: #1865212)
    - Add testsuite "simple.sh". A port of the travis tests to bash
      provided by upstream.

 -- Heather Lemon <email address hidden> Wed, 29 Apr 2020 13:47:47 +0000

Changed in sosreport (Ubuntu Eoan):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for sosreport has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package sosreport - 3.9-1ubuntu0.18.04.3

---------------
sosreport (3.9-1ubuntu0.18.04.3) bionic; urgency=medium

  * d/p/0003-lshw-command.patch: (LP: #1871494)
    - Add `lshw` command to hardware plugin

  [Eric Desrochers]
  * d/p/0004-lds-substitute-oidc-conf.patch:
    - landscape substitute oidc conf
      in service file (LP: #1874526)

  [Eric Desrochers]
  * d/tests/{control,simple.sh}: (LP: #1865212)
    - Add testsuite "simple.sh". A port of the travis tests to bash
      provided by upstream.

 -- Heather Lemon <email address hidden> Wed, 29 Apr 2020 14:04:05 +0000

Changed in sosreport (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers